package es.uv.garcosda.services;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.UUID;
import java.util.stream.Collectors;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.Post;

@Service
public class PostService {
	

	DateTimeFormatter format = DateTimeFormatter.ofPattern("dd/MM/yyyy");

	List<Post> posts = new ArrayList<Post>(
	        Arrays.asList(new Post(UUID.randomUUID().toString(), "Dani", "Garcia Costa", "Introducing SpringBoot", "SpringBoot is an opinionated approach for building Spring applications ...", LocalDate.parse("01/01/2023", format)),
		        		  new Post(UUID.randomUUID().toString(), "Fran", "Grimaldo", "Build, Deploy, and Share with Azure Machine Learning.", "In this video learn how Microsoft is enabling machine learning that's accessible to all, offering an advanced analytics service in the cloud that allows users to ...", LocalDate.parse("03/02/2023", format)),
		        	      new Post(UUID.randomUUID().toString(), "Dani", "Garcia Costa", "Cassandra on Cloud Foundry", "Avoiding anti-patterns: How to stay in love with Cassandra ...", LocalDate.parse("05/01/2023", format)),
		        		  new Post(UUID.randomUUID().toString(), "Fran", "Grimaldo", "Getting and Saving data in Azure", "Data Access is the first step of data science workflow. Azure Machine Learning supports numerous ways to connect to your data ..", LocalDate.parse("03/01/2023", format))));

	public List<Post> findAll(){
		return this.posts;
	}
	
	public Post findById(String id) {
		List<Post> ps = this.posts.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
		if(!ps.isEmpty()) {
			return ps.get(0);
		}
		else {
			return new Post();
		}
	}

}
